.\" $NetBSD: tadpolectl.8,v 1.7 2008/04/30 13:11:03 martin Exp $
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Tim Rightnour
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 16, 1999
.Dt TADPOLECTL 8 sparc
.Os
.Sh NAME
.Nm tadpolectl
.Nd get or set tadpole microcontroller state
.Sh SYNOPSIS
.Nm tadpolectl
.Op Fl n
.Ar name ...
.Nm tadpolectl
.Op Fl n
.Fl w
.Ar name=value ...
.Nm tadpolectl
.Op Fl n
.Fl a
.Sh DESCRIPTION
The
.Nm tadpolectl
utility retrieves values from the ts102 microcontroller
and allows processes with appropriate privilege to set some values.
The state to be retrieved or set is described using a
``Management Information Base'' (``MIB'') style name,
described as a dotted set of components.
The
.Fl a
flag can be used to list all the currently available string or integer values.
.Pp
The
.Fl n
flag specifies that the printing of the field name should be
suppressed and that only its value should be output.
This flag is useful for setting shell variables.
For example, to save the mains power status in variable mains, use:
.Bd -literal -offset indent -compact
set mains=`tadpolectl -n hw.power.mains`
.Ed
.Pp
If just a MIB style name is given,
the corresponding value is retrieved.
If a value is to be set, the
.Fl w
flag must be specified and the MIB name followed
by an equal sign and the new value to be used.
.Pp
The information available from
.Nm tadpolectl
consists of only integers.  Some registers can be modified, but have no
way of reading what the current value is.  Those registers will always
display
.Dq 0 .
.Pp
The changeable column indicates whether a process with appropriate
privilege can change the value, and if a displayed value is valid.
.Bl -column hw.power.battery.int.chargelevel Changeable Valid
.It Sy Name	Changeable	Valid
.It hw.microcontroller.version	no	yes
.It hw.version	no	yes
.It hw.poweroncycles	no	yes
.It hw.poweronseconds	no	yes
.It hw.power.mains	no	yes
.It hw.power.battery.int	no	yes
.It hw.power.battery.ext	no	yes
.It hw.power.battery.chargedisabled	yes	yes
.It hw.power.battery.int.chargerate	yes	yes
.It hw.power.battery.ext.chargerate	yes	yes
.It hw.power.battery.int.chargelevel	no	yes
.It hw.power.battery.ext.chargelevel	no	yes
.It hw.video.external	no	yes
.It hw.video.lid	no	yes
.It hw.video.syncinva	yes	yes
.It hw.video.syncinvb	yes	yes
.It hw.video.compsync	yes	yes
.It hw.video.tft.brightness	yes	yes
.It hw.speaker.freq	yes	no
.It hw.speaker.volume	yes	yes
.It hw.kbd.repeat.delay	yes	yes
.It hw.kbd.repeat.speed	yes	yes
.It hw.kbd.click	yes	yes
.It hw.mouse.recalibrate	yes	no
.It hw.mouse.disable	yes	yes
.It hw.mouse.intclick	yes	yes
.It hw.mouse.extclick	yes	yes
.It hw.mouse.sensitivity	yes	yes
.It hw.serial.power	yes	yes
.El
.Sh EXAMPLES
For example, to retrieve the current internal battery charge level,
one would use the following request:
.Bd -literal -offset indent -compact
tadpolectl hw.power.battery.int.chargelevel
.Ed
.Pp
To set the speaker beep frequency of
the system to 1000, one would use the following request:
.Bd -literal -offset indent -compact
tadpolectl -w hw.speaker.freq=1000
.Ed
.Sh SEE ALSO
.Xr sysctl 8
.Sh HISTORY
.Nm tadpolectl
first appeared in
.Nx 1.5 .
